Package org.apache.cxf.common.jaxb

# Class NamespaceMapper

java.lang.Object
org.glassfish.jaxb.runtime.marshaller.NamespacePrefixMapper
org.apache.cxf.common.jaxb.NamespaceMapper

public final class NamespaceMapper extends org.glassfish.jaxb.runtime.marshaller.NamespacePrefixMapper

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NamespaceMapper(Map<String,String> nspref)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String[]`
  `getContextualNamespaceDecls()`
  `String`
  `getPreferredPrefix(String namespaceUri, String suggestion, boolean requirePrefix)`
  `void`
  `setContextualNamespace(String[] contextualNamespaceDecls)`

  ### Methods inherited from class org.glassfish.jaxb.runtime.marshaller.NamespacePrefixMapper

  `getPreDeclaredNamespaceUris, getPreDeclaredNamespaceUris2`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NamespaceMapper

    public NamespaceMapper(Map<String,String> nspref)

- ## Method Details

  - ### getPreferredPrefix

    public String getPreferredPrefix(String namespaceUri, String suggestion, boolean requirePrefix)
    Specified by:
      `getPreferredPrefix` in class `org.glassfish.jaxb.runtime.marshaller.NamespacePrefixMapper`

  - ### setContextualNamespace

    public void setContextualNamespace(String[] contextualNamespaceDecls)

  - ### getContextualNamespaceDecls

    public String[] getContextualNamespaceDecls()
    Overrides:
      `getContextualNamespaceDecls` in class `org.glassfish.jaxb.runtime.marshaller.NamespacePrefixMapper`